%define build_appledevice	1
%define build_njb		0
%define build_mtp		1
%define build_karma		1
%define build_boo		0
#gw does not build with clutter 1.1.12:
#https://bugzilla.gnome.org/show_bug.cgi?id=611153
%define build_clutter		0
%define build_webkit		1

%{?_without_njb: %{expand: %%global build_njb 0}}
%{?_with_njb: %{expand: %%global build_njb 1}}
%{?_without_mtp: %{expand: %%global build_mtp 0}}
%{?_with_mtp: %{expand: %%global build_mtp 1}}
%{?_without_karma: %{expand: %%global build_karma 0}}
%{?_with_karma: %{expand: %%global build_karma 1}}
%{?_without_boo: %{expand: %%global build_boo 0}}
%{?_with_boo: %{expand: %%global build_boo 1}}
%{?_without_clutter: %{expand: %%global build_clutter 0}}
%{?_with_clutter: %{expand: %%global build_clutter 1}}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Music player with mobile player support
Name:		banshee
Epoch:		1
Version:	2.6.1
Release:	%mkrel 4
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#(nl) KDE Solid integration : from mdv svn  soft/mandriva-kde-translation/trunk/solid/
Source1:	banshee-play-audiocd.desktop
Patch0:		banshee-2.6.1-mono4.patch
License:	MIT
Group:		Sound/Players
Url:		http://banshee.fm

BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0) >= 0.5
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gconf-sharp-2.0) >= 2.8
BuildRequires:	pkgconfig(gdata-sharp-youtube) >= 1.4
BuildRequires:	pkgconfig(gio-sharp-2.0) >= 2.22.3
BuildRequires:	pkgconfig(gkeyfile-sharp)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.26
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.26
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.8
BuildRequires:	pkgconfig(gtk-sharp-beans-2.0)
BuildRequires:	pkgconfig(gudev-sharp-3.0)
BuildRequires:	pkgconfig(mono) >= 2.4.3
BuildRequires:	pkgconfig(mono-addins) >= 0.3.1
BuildRequires:	pkgconfig(mono-zeroconf)
BuildRequires:	pkgconfig(notify-sharp)
BuildRequires:	pkgconfig(sqlite3) >= 3.4
BuildRequires:	pkgconfig(taglib-sharp) >= 2.0.3.7
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xxf86vm)

%if %{build_mtp}
BuildRequires:	pkgconfig(libmtp)
%endif

%if %{build_appledevice}
BuildRequires:	pkgconfig(libgpod-sharp)
%endif

%if %{build_webkit}
BuildRequires:	pkgconfig(webkit-1.0) >= 1.2.2
%endif

%if %{build_clutter}
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.1
%endif

%if %{build_boo}
BuildRequires:	pkgconfig(boo) >= 0.8.1
%endif

%if %{build_karma}
BuildRequires:	pkgconfig(karma-sharp)
%endif

Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-cdparanoia
Requires:	gstreamer0.10-gnomevfs
Suggests:	gstreamer0.10-xing
Suggests:	gstreamer0.10-lame
Suggests:	gstreamer0.10-faac
Suggests:	gstreamer0.10-faad
#gw for bpm detection:
Suggests:	gstreamer0.10-soundtouch
Suggests:	brasero
# (tv) not automatically found:
Requires:	mono-addins

%description
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

%if %{build_appledevice}
%package ipod
Group:		Sound/Players
Summary:	Ipod support for Banshee
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ipod
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for iPod support in Banshee.
%endif

%if %{build_njb}
%package njb
Group:		Sound/Players
Summary:	Nomad jukebox support for Banshee
Requires:	%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	njb-sharp >= 0.3.0

%description njb
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for Nomad jukebox support in Banshee.
%endif

%if %{build_mtp}
%package mtp
Group:		Sound/Players
Summary:	MTP audio player support for Banshee
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description mtp
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for MTP audio player support in Banshee.
%endif

%if %{build_karma}
%package karma
Group:		Sound/Players
Summary:	Rio Karma audio player support for Banshee
Requires:	%{name} = %{epoch}:%{version}

%description karma
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for Rio Karma audio player support in Banshee.
%endif

%package doc
Summary:	Development documentation for %{name}
Group:		Development/Other
Requires(post):		mono-tools >= 1.1.9
Requires(postun):	mono-tools >= 1.1.9
BuildArch:	noarch

%description doc
This package contains the API documentation for the %{name} in
Monodoc format.

%package devel
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
Summary:	Development parts of %{name}

%description devel
This package contains the pkg-config files needed for building Banshee
extensions.

%prep
%setup -q
%apply_patches

%build
%configure2_5x  \
	--with-vendor-build-id="%{_vendor} %{distro_release}"  \
%if %{build_mtp}
	--enable-mtp \
%endif
%if !%{build_appledevice}
	--disable-appledevice \
%endif
%if %{build_karma}
	--enable-karma \
%endif
%if %{build_clutter}
	--enable-clutter \
%endif
%if %{build_boo}
	--enable-boo \
%else
	--disable-boo \
%endif
	--disable-static \
	--disable-scrollkeeper \
	--disable-schemas-install
%make

%install
%makeinstall_std MONO=true

%find_lang %{name} --with-gnome

%if %{build_appledevice}
ln -sf %{_libdir}/libgpod/libgpod-sharp.dll* %{buildroot}%{_libdir}/%{name}/Extensions/
%endif

%if %{build_karma}
ln -sf %{_prefix}/lib/karma-sharp/karma-sharp.dll %{buildroot}%{_libdir}/%{name}/Extensions/
%endif

# we don't want these
find %{buildroot} -name "*.la" -delete

# gw fix paths in pkgconfig files
perl -pi -e "s^/lib$^/%{_lib}^" %{buildroot}%{_libdir}/pkgconfig/*.pc

#(nl) KDE Solid integration
mkdir -p %{buildroot}/%{_datadir}/apps/solid/actions/
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/apps/solid/actions/

%post doc
%{_bindir}/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %{_bindir}/monodoc ]; then %{_bindir}/monodoc --make-index > /dev/null
fi

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_bindir}/bamz
%{_bindir}/%{name}
%{_bindir}/muinshee
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/Backends
%{_libdir}/%{name}/Backends/Banshee.GStreamer.*
%{_libdir}/%{name}/Backends/Banshee.Gio.*
%{_libdir}/%{name}/Backends/Banshee.Gnome.*
%{_libdir}/%{name}/Backends/Banshee.NowPlaying.X11.*
%{_libdir}/%{name}/Backends/Banshee.Unix.*
%{_libdir}/%{name}/Backends/gio-sharp.dll*
%{_libdir}/%{name}/Backends/libbnpx11.so
%dir %{_libdir}/%{name}/Extensions
%{_libdir}/%{name}/Extensions/Banshee.Audiobook.dll*

%if %build_boo
%{_libdir}/%{name}/Extensions/Banshee.BooScript.dll*
%endif

%{_libdir}/%{name}/Extensions/Banshee.AmazonMp3.exe*
%{_libdir}/%{name}/Extensions/Banshee.Bpm.dll*
%{_libdir}/%{name}/Extensions/Banshee.CoverArt.dll*
%{_libdir}/%{name}/Extensions/Banshee.Daap.dll*
%{_libdir}/%{name}/Extensions/Banshee.Dap.MassStorage.dll*
%{_libdir}/%{name}/Extensions/Banshee.Dap.dll*
%{_libdir}/%{name}/Extensions/Banshee.Emusic.dll*
%{_libdir}/%{name}/Extensions/Banshee.Emusic.Store*
%{_libdir}/%{name}/Extensions/Banshee.FileSystemQueue.dll*
%{_libdir}/%{name}/Extensions/Banshee.Fixup.dll*
%{_libdir}/%{name}/Extensions/Banshee.InternetArchive.dll*
%{_libdir}/%{name}/Extensions/Banshee.InternetRadio.dll*
%{_libdir}/%{name}/Extensions/Banshee.Lastfm.dll*
%{_libdir}/%{name}/Extensions/Banshee.LastfmStreaming.dll*
%{_libdir}/%{name}/Extensions/Banshee.LibraryWatcher.dll*
%{_libdir}/%{name}/Extensions/Banshee.MiniMode.dll*
%{_libdir}/%{name}/Extensions/Banshee.Mpris.dll*
%{_libdir}/%{name}/Extensions/Banshee.MultimediaKeys.dll*
%{_libdir}/%{name}/Extensions/Banshee.NotificationArea.dll*
%{_libdir}/%{name}/Extensions/Banshee.NowPlaying.dll*
%{_libdir}/%{name}/Extensions/Banshee.OpticalDisc.dll*
%{_libdir}/%{name}/Extensions/Banshee.PlayerMigration.dll*
%{_libdir}/%{name}/Extensions/Banshee.PlayQueue.dll*
%{_libdir}/%{name}/Extensions/Banshee.Podcasting.dll*
%{_libdir}/%{name}/Extensions/Banshee.YouTube.dll*

%if %build_webkit
%{_libdir}/%{name}/Extensions/Banshee.AmazonMp3.Store.dll*
%{_libdir}/%{name}/Extensions/Banshee.MiroGuide.dll*
%{_libdir}/%{name}/Extensions/Banshee.Wikipedia.dll*
%endif

%{_libdir}/%{name}/*.exe*
%{_libdir}/%{name}/Banshee*.dll*
%{_libdir}/%{name}/Hyena*.dll*
%{_libdir}/%{name}/Lastfm*.dll*
%{_libdir}/%{name}/Migo.dll*
%{_libdir}/%{name}/Mono*.dll*
%{_libdir}/%{name}/MusicBrainz.dll*
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/Banshee.Services.addins
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-audiocd.desktop
%{_datadir}/applications/%{name}-media-player.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/apps/solid/actions/banshee-play-audiocd.desktop
%{_datadir}/mime/packages/banshee-amz.xml
%{_datadir}/mime/packages/banshee-emx.xml

%files devel
%{_libdir}/pkgconfig/%{name}*.pc

%files doc
%{_prefix}/lib/monodoc/sources/banshee-docs*
%{_prefix}/lib/monodoc/sources/hyena-docs*

%if %{build_appledevice}
%files ipod
%{_libdir}/%{name}/Extensions/Banshee.Dap.AppleDevice.dll*
%{_libdir}/%{name}/Extensions/libgpod-sharp.dll*
%endif

%if %{build_njb}
%files njb
%{_libdir}/%{name}/Extensions/Banshee.Dap/*jb*
%endif

%if %{build_mtp}
%files mtp
%{_libdir}/%{name}/Mtp.dll*
%{_libdir}/%{name}/Extensions/Banshee.Dap.Mtp.dll*
%endif

%if %{build_karma}
%files karma
%{_libdir}/%{name}/Extensions/Banshee.Dap.Karma.dll*
%{_libdir}/%{name}/Extensions/karma-sharp.dll*
%endif


%changelog
* Thu Jan 23 2014 tv <tv> 1:2.6.1-4.mga4
+ Revision: 567525
- requires mono-addins instead of 'mono(Mono.Addins)' as monodevelop provides
  it too (mga#12332)

* Sat Jan 18 2014 tv <tv> 1:2.6.1-3.mga4
+ Revision: 566851
- add missing requires on mono-addins (mga#12332)

* Wed Jan 08 2014 pterjan <pterjan> 1:2.6.1-2.mga4
+ Revision: 565593
- Fix dependencies for subpackages

* Wed Jan 08 2014 pterjan <pterjan> 1:2.6.1-1.mga4
+ Revision: 565587
- Revert to stable 2.6.1
- target mono4 as this is the case for gtk-sharp2

* Sat Jan 04 2014 pterjan <pterjan> 2.9.0-8.mga4
+ Revision: 564530
- Add patch from Debian fixing build failure

* Thu Jan 02 2014 pterjan <pterjan> 2.9.0-7.mga4
+ Revision: 563960
- Disable Boo support, currently broken

* Tue Oct 22 2013 umeabot <umeabot> 2.9.0-6.mga4
+ Revision: 541368
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 tv <tv> 2.9.0-5.mga4
+ Revision: 511262
- rebuild for libgoogle-data-mono, hopefully making it installable again

* Sat Oct 12 2013 fwang <fwang> 2.9.0-4.mga4
+ Revision: 495765
- add patch
- replace gtk-sharp-2.0 req with gtk-sharp-3.0

* Sat Oct 12 2013 dams <dams> 2.9.0-3.mga4
+ Revision: 495747
- fix 'gudev-sharp' BR and update configure options

* Fri Oct 11 2013 dams <dams> 2.9.0-2.mga4
+ Revision: 495211
- adds more BR

* Tue Oct 08 2013 dams <dams> 2.9.0-1.mga4
+ Revision: 493755
- new version 2.9.0

* Thu May 23 2013 dams <dams> 2.6.1-1.mga4
+ Revision: 425287
- new version 2.6.1

* Sat Jan 12 2013 fwang <fwang> 2.6.0-3.mga3
+ Revision: 358522
- rebuild for new google-data

* Fri Jan 11 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 346841
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 300440
- update group: Sound -> Sound/Players
- new version 2.6.0

* Thu Sep 13 2012 ovitters <ovitters> 2.5.1-1.mga3
+ Revision: 293696
- new version 2.5.1

* Fri Aug 31 2012 fwang <fwang> 2.5.0-1.mga3
+ Revision: 285973
- new version 2.5.0

* Thu Aug 23 2012 tv <tv> 2.4.1-2.mga3
+ Revision: 283350
- rebuild for new taglib-sharp

* Thu May 31 2012 ovitters <ovitters> 2.4.1-1.mga3
+ Revision: 252560
- new version 2.4.1

* Mon Mar 19 2012 ovitters <ovitters> 2.4.0-1.mga3
+ Revision: 224539
- new version 2.4.0
- drop merged patch
- update buildrequires
- fix patch2
- add upstream patch to check ssl certificate
- clean spec

* Fri Mar 09 2012 fwang <fwang> 2.3.6-1.mga2
+ Revision: 222005
- new version 2.3.6

* Thu Feb 16 2012 fwang <fwang> 2.3.5-1.mga2
+ Revision: 209711
- new version 2.3.5

  + ovitters <ovitters>
    - add dep3 headers

* Sat Jan 21 2012 fwang <fwang> 2.3.4-1.mga2
+ Revision: 199076
- new version 2.3.4

* Thu Dec 22 2011 fwang <fwang> 2.3.3-1.mga2
+ Revision: 185616
- new version 2.3.3

* Fri Dec 02 2011 wally <wally> 2.3.2-1.mga2
+ Revision: 175153
- new version 2.3.2

* Wed Nov 02 2011 fwang <fwang> 2.2.1-1.mga2
+ Revision: 161243
- new version 2.2.1

* Tue Sep 20 2011 fwang <fwang> 2.2.0-1.mga2
+ Revision: 145891
- new version 2.2.0

* Thu Sep 08 2011 tv <tv> 2.1.4-1.mga2
+ Revision: 141079
- new release

* Wed Sep 07 2011 wally <wally> 2.1.3-2.mga2
+ Revision: 140546
- rebuild for new taglib-sharp
- add patch to fix build
- clean BRs and use pkgconfig style when possible

  + fwang <fwang>
    - new version 2.1.3

* Sun Jul 17 2011 dmorgan <dmorgan> 2.1.0-2.mga2
+ Revision: 125356
- Rebuild against new libgoogle-data-mono

* Sun Jul 03 2011 wally <wally> 2.1.0-1.mga2
+ Revision: 117571
- new version 2.1.0
- clean BRs
- disable static build
- drop old obsoletes and provides
- clean .spec

* Mon Jun 20 2011 dmorgan <dmorgan> 2.0.1-2.mga2
+ Revision: 110443
- Rebuild against new webkit

* Sun May 08 2011 pterjan <pterjan> 2.0.1-1.mga1
+ Revision: 96199
- Update to 2.0.1 (bug-fix-only release)

* Tue Apr 12 2011 ahmad <ahmad> 2.0.0-3.mga1
+ Revision: 83983
- drop some redundant BR.
- use %%distro_release instead of %%mgaversion

* Tue Apr 12 2011 ahmad <ahmad> 2.0.0-2.mga1
+ Revision: 83607
- bump rel for a smooth upgrade from 2010.1 (package in main/backports is -2mdv)

* Tue Apr 12 2011 ahmad <ahmad> 2.0.0-1.mga1
+ Revision: 83601
- update to 2.0.0
- disable hal when disabling (old) ipod support (Mandriva)
- fix the solid action .desktop file (Mandriva)

* Thu Mar 24 2011 boklm <boklm> 1.8.1-3.mga1
+ Revision: 76131
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 1.8.1-2.mga1
+ Revision: 72934
- add BR libproxy-devel
- add BR libgnome-keyring-devel

  + ennael <ennael>
    - adapt vendor name
    - remove mdv version
    - clean spec file
    - imported package banshee


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.8.1-1mdv2011.0
+ Revision: 633784
- new version 1.8.1

  + Götz Waschk <waschk@mandriva.org>
    - suggest soundtouch plugin for bpm detection

* Wed Oct 13 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-3mdv2011.0
+ Revision: 585321
- rebuild for new libgpod

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2011.0
+ Revision: 584041
- rebuild for new boo

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2011.0
+ Revision: 582099
- new version
- bump libgpod dep

* Sun Sep 19 2010 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2011.0
+ Revision: 579829
- update to new version 1.7.6

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 1.7.5-3mdv2011.0
+ Revision: 577101
- enable gkeyfile-sharp build

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 1.7.5-2mdv2011.0
+ Revision: 577085
- enable webkit for 2010.1 backports as well
- rebuild for new libgpod-sharp release

* Thu Sep 02 2010 Götz Waschk <waschk@mandriva.org> 1.7.5-1mdv2011.0
+ Revision: 575215
- new version
- drop patch
- add new iPod/iPhone support based on libgpod

* Mon Aug 23 2010 Götz Waschk <waschk@mandriva.org> 1.7.4-2mdv2011.0
+ Revision: 572491
- rebuild for new libgoogle-data-mono

* Sat Aug 14 2010 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2011.0
+ Revision: 569777
- update build deps
- new version
- drop patch 0
- update file list
- fix build deps for backports
- update devel deps for ipod-sharp

* Sun Aug 08 2010 Götz Waschk <waschk@mandriva.org> 1.7.3-1mdv2011.0
+ Revision: 567531
- new version
- enable webkit support on Cooker
- fix build
- add devel package
- update file list
- add Amazon MP3 store support

* Sat Aug 07 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-2mdv2011.0
+ Revision: 567427
- enable gio support

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 550296
- new version
- new URL

* Tue May 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.6.0-6mdv2010.1
+ Revision: 545161
- Update solid translations

* Mon May 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.6.0-5mdv2010.1
+ Revision: 544371
- Add new translation for the solid action

* Fri May 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.6.0-4mdv2010.1
+ Revision: 543099
- Fix installation dir
- Add a solid action, that allow banshee to be shown on kde devicenotifier

* Sun Apr 11 2010 Götz Waschk <waschk@mandriva.org> 1.6.0-2mdv2010.1
+ Revision: 533581
- remove patch (bug #58666)

* Thu Apr 01 2010 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 530574
- update to new version 1.6.0

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 1.5.7-1mdv2010.1
+ Revision: 527333
- new version 1.5.7

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 1.5.6-1mdv2010.1
+ Revision: 526010
- update file list
- New version 1.5.6

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdv2010.1
+ Revision: 518288
- new version
- update build deps and enable youtube plugin

* Fri Mar 05 2010 Götz Waschk <waschk@mandriva.org> 1.5.4-2mdv2010.1
+ Revision: 514454
- make notification icon transparent
- update ipod-sharp dep

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 1.5.4-1mdv2010.1
+ Revision: 511491
- new version
- disable clutter support
- build with wikipedia plugin

* Thu Jan 28 2010 Götz Waschk <waschk@mandriva.org> 1.5.3-2mdv2010.1
+ Revision: 497541
- rebuild for new taglib-sharp

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 497467
- really enable clutter support
- new version
- update file list

* Mon Nov 23 2009 Götz Waschk <waschk@mandriva.org> 1.5.2-1mdv2010.1
+ Revision: 469330
- new version
- drop patch
- bump ipod-sharp dep
- update file list

* Fri Nov 13 2009 Götz Waschk <waschk@mandriva.org> 1.5.1-3mdv2010.1
+ Revision: 465684
- replace patch to remove obsolete dep on clutter-gtk

* Thu Oct 15 2009 Götz Waschk <waschk@mandriva.org> 1.5.1-2mdv2010.0
+ Revision: 457617
- rebuild for new taglib-sharp

* Thu Oct 15 2009 Götz Waschk <waschk@mandriva.org> 1.5.1-1mdv2010.0
+ Revision: 457508
- new version
- drop patch 0
- rediff patch 1
- update file list
- disable karma and clutter for backports

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 1.5.0-6mdv2010.0
+ Revision: 424044
- rebuild for new boo

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 1.5.0-5mdv2010.0
+ Revision: 404605
- build with clutter 1.0

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 1.5.0-4mdv2010.0
+ Revision: 395475
- rebuild for new boo

* Sat Jun 20 2009 Götz Waschk <waschk@mandriva.org> 1.5.0-3mdv2010.0
+ Revision: 387482
- fix build with new clutter

* Wed Jun 03 2009 Götz Waschk <waschk@mandriva.org> 1.5.0-2mdv2010.0
+ Revision: 382334
- enable clutter support

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 1.5.0-1mdv2010.0
+ Revision: 382310
- new version
- update file list

* Fri May 15 2009 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdv2010.0
+ Revision: 376116
- enable Karma support
- remove old configure options

* Thu Mar 05 2009 Götz Waschk <waschk@mandriva.org> 1.4.3-1mdv2009.1
+ Revision: 349166
- new version
- set vendor build ID

* Sun Mar 01 2009 Götz Waschk <waschk@mandriva.org> 1.4.2-3mdv2009.1
+ Revision: 346285
- rebuild for new taglib-sharp

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 1.4.2-2mdv2009.1
+ Revision: 334048
- rebuild for new taglib-sharp
- remove another static lib

* Wed Jan 21 2009 Götz Waschk <waschk@mandriva.org> 1.4.2-1mdv2009.1
+ Revision: 332161
- new version
- update file list
- move ipod-sharp and karma-sharp back

* Wed Nov 12 2008 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdv2009.1
+ Revision: 302429
- update to new version 1.4.1

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 1.4.0.1-1mdv2009.1
+ Revision: 301683
- new version

* Sun Oct 26 2008 Götz Waschk <waschk@mandriva.org> 1.3.3-1mdv2009.1
+ Revision: 297498
- new version
- move mtp dll to the mtp package

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 1.3.2-3mdv2009.1
+ Revision: 296096
- rebuild for new mono-zeroconf

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 1.3.2-2mdv2009.1
+ Revision: 294229
- fix file list, related to bug #45002

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 1.3.2-1mdv2009.1
+ Revision: 292344
- new version
- new version
- bump ipod-sharp dep
- drop patches
- fix karma file list

* Thu Sep 11 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-5mdv2009.0
+ Revision: 283771
- add patches from Suse:
 * fix a crash
 * allow build with older mono versions

* Wed Aug 27 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-4mdv2009.0
+ Revision: 276433
- fix build deps
- move ipod files to the right dir

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2009.0
+ Revision: 273867
- rebuild

* Sat Aug 16 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdv2009.0
+ Revision: 272535
- fix pkgconfig files

* Wed Aug 13 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 271320
- new version
- no, don't disable boo
- disable boo in backports
- fix build deps (bug #42361)

  + Nicholas Brown <nickbrown@mandriva.org>
    - fix buildrequires for backports

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 255929
- new version
- update build deps
- update file list

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 1.0.0-2mdv2009.0
+ Revision: 238907
- rebuild for new major of libmtp

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - obsolete banshee-1 package

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-6mdv2009.0
+ Revision: 193837
- fix build with new mono
- fix buildrequires

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-5mdv2008.1
+ Revision: 180324
- add support for autostart from nautilus

* Sun Jan 27 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-4mdv2008.1
+ Revision: 158901
- rebuild for new mono-zeroconf

* Thu Jan 24 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-3mdv2008.1
+ Revision: 157432
- rebuild for new mono-zeroconf

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-2mdv2008.1
+ Revision: 153977
- rebuild for new njb-sharp

* Thu Jan 10 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-1mdv2008.1
+ Revision: 147535
- new version
- drop patches 0,1
- update patch 2
- update buildrequires
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.13.1-5mdv2008.0
+ Revision: 88622
- bump release
- drop old menu

* Fri Aug 31 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-4mdv2008.0
+ Revision: 77069
- fix dep on nss_mdns

* Fri Aug 31 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-3mdv2008.0
+ Revision: 76945
- fix deps
- fix buildrequires

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-2mdv2008.0
+ Revision: 76296
- fix pkgconfig file creation for external ndesk-dbus

* Mon Aug 20 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2008.0
+ Revision: 67304
- new version
- readd radio plugin

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.13.0-2mdv2008.0
+ Revision: 59520
- build with external ndesk-dbus

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.13.0-1mdv2008.0
+ Revision: 59340
- new version
- drop source 1, patches 1,2,3
- add bookmarks plugin

* Thu Jul 26 2007 Götz Waschk <waschk@mandriva.org> 0.12.1-2mdv2008.0
+ Revision: 55876
- add some fixes from Ubuntu
- drop Radio plugin

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2008.0
+ Revision: 13564
- new version
- bump deps


* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 0.12.0-1mdv2007.0
+ Revision: 133415
- bs doesn't like karma at all, disabling it (again)
- New version 0.12.0
- enable karma

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.7-1mdv2007.1
+ Revision: 122678
- new version
- fix menu category

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 0.11.6-2mdv2007.1
+ Revision: 117744
- rebuild for njb-sharp
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 0.11.5-2mdv2007.1
+ Revision: 112229
- don't enable karma support yet
- obsolete banshee-official-plugins
- fix karma patch
- remove helix support

* Mon Jan 22 2007 Emmanuel Andry <eandry@mandriva.org> 0.11.5-1mdv2007.1
+ Revision: 112026
- New version 0.11.5

  + Götz Waschk <waschk@mandriva.org>
    - add optional build with karma support

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.11.3-2mdv2007.1
+ Revision: 96162
- add MTP support based on libgphoto2-sharp

* Sat Dec 09 2006 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdv2007.1
+ Revision: 94105
- new version

* Tue Oct 24 2006 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2007.1
+ Revision: 71709
- new version

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2007.1
+ Revision: 65624
- new version
  fix buildrequires
  drop patch
  update file list

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-3mdv2006.0
+ Revision: 64701
- rebuild
- Import banshee

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-2mdv2007.1
- unpack patch
- update file list
- bump deps
- new version

* Wed Sep 27 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.7mdv2007.0
- disable helix support

* Fri Sep 22 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.6mdv2007.0
- split monodoc docs to separate package

* Wed Sep 20 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.5mdv2007.0
- rebuild to make banshee-njb installable on x86_64

* Sun Aug 27 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.4mdv2007.0
- rebuild for njb-sharp

* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.3mdv2007.0
- depend on musicbrainz

* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.2mdv2007.0
- update the patch for new dbus

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060808.1mdv2007.0
- update file list
- new snapshot
- fix dll map

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1.20060721.3mdv2007.0
- fix buildrequires

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2007.0
- rebuild for new dbus

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-0.20060721.2mdv2007.0
- fix docs installation

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 0.11.0-0.20060721.1mdv2007.0
- xdg menu
- update file list
- bump deps
- CVS snapshot

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 0.10.10-2mdk
- drop vlc, only helix and gst are the blessed ones

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 0.10.10-1mdk
- bump deps
- New release 0.10.10

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-5mdk
- really rebuild for new dbus-sharp

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-4mdk
- rebuild for new dbus-sharp

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-3mdk
- Rebuild

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-2mdk
- fix buildrequires

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-1mdk
- fix deps
- New release 0.10.9

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.10.8-1mdk
- update file list
- reenable helix support on i586
- drop patch
- New release 0.10.8

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdk
- New release 0.10.7

* Tue Feb 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.6-2mdk
- fix buildrequires
- fix build on x86_64

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdk
- New release 0.10.6

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 0.10.5-1mdk
- update file list
- New release 0.10.5

* Thu Feb 02 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-7mdk
- switch to experimental gstreamer 0.10 backend

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-6mdk
- spec fix

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-5mdk
- rebuild for new dbus-sharp

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-4mdk
- use rsvg for the icons

* Sun Jan 22 2006 Michael Scherer <misc@mandriva.org> 0.10.4-3mdk
- reenable avahi now avahi-sharp was splitted

* Sun Jan 22 2006 Michael Scherer <misc@mandriva.org> 0.10.4-2mdk
- fix typo requires

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdk
- update file list
- disable avahi for now
- add suggests on optional gstreamer plugins
- New release 0.10.4

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-2mdk
- fix build on x86_64

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- update file list
- merge the gstreamer with the package, it is required anyway
- enable njb support
- New release 0.10.2

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- add developer docs
- fix installation

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 0.10-1mdk
- bump deps
- New release 0.10
- split out ipod package
- update file list

* Fri Nov 18 2005 Götz Waschk <waschk@mandriva.org> 0.9.12-1mdk
- update file list
- bump deps
- New release 0.9.12

* Sat Nov 12 2005 Götz Waschk <waschk@mandriva.org> 0.9.11.1-1mdk
- New release 0.9.11.1

* Thu Nov 10 2005 Götz Waschk <waschk@mandriva.org> 0.9.11-1mdk
- bump deps
- New release 0.9.11

* Fri Nov 04 2005 Götz Waschk <waschk@mandriva.org> 0.9.10-1mdk
- drop patch
- New release 0.9.10

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-7mdk
- disable helix backend, it is binary only crap for i586

* Tue Nov 01 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-6mdk
- fix off-by-one error in ripping code

* Tue Nov 01 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-5mdk
- mkrel

* Tue Nov 01 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-4mdk
- fix buildrequires

* Tue Nov 01 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-3mdk
- add support for building the xing encoder (disabled by default)

* Mon Oct 31 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-2mdk
- enable vlc backend

* Mon Oct 31 2005 Götz Waschk <waschk@mandriva.org> 0.9.9-1mdk
- fix installation
- bump deps
- New release 0.9.9

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.9.8-3mdk
- use packaged ipod-sharp

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.9.8-2mdk
- split out engines

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdk
- initial package

